Bug 114505 - kdbg does not start because of message from gdb
kdbg does not start because of message from gdb
Product: Fedora
Classification: Fedora
Component: kdbg (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-01-28 15:41 EST by Marcelo Roberto Jimenez
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-03 11:42:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to solve the warning message problem (1.12 KB, patch)
2004-01-28 15:43 EST, Marcelo Roberto Jimenez
no flags Details | Diff

  None (edit)
Description Marcelo Roberto Jimenez 2004-01-28 15:41:18 EST
From Bugzilla Helper:
User-Agent: Opera/7.23 (X11; Linux i686; U)  [en]

Description of problem:
When I try to debug a threaded application (xine), gdb returns a 
message that kdgb does not expect:

Using host libthread_db library "/lib/tls/libthread_db.so.1

This message is wrongly interpreted as an indication of an error, and 
kdbg does not debug the program, while gdb does his job.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Get xine from cvs (xine.sf.net)
2.configure, make, etc
3.kdbg xine

Actual Results:  kdbg does not debug the application

Expected Results:  kdbg should have debugged the application, because 
gdb does it.

Additional info:

I have a patch that does the job. If it's a good solution, I don't 

Index: kdbg/gdbdriver.cpp
RCS file: /cvsroot/kdbg/release/kdbg/kdbg/gdbdriver.cpp,v
retrieving revision
diff -u -3 -p -r1.1.1.10 gdbdriver.cpp
--- kdbg/gdbdriver.cpp  1 Feb 2003 16:30:18 -0000
+++ kdbg/gdbdriver.cpp  28 Jan 2004 20:43:28 -0000
@@ -1885,17 +1885,22 @@ bool GdbDriver::parseChangeWD(const char

 bool GdbDriver::parseChangeExecutable(const char* output, QString& 
+    const char *msg_libthread = "Using host libthread_db library";
+    int n = strlen(msg_libthread);
     message = output;

     m_haveCoreFile = false;

      * The command is successful if there is no output or the single
-     * message (no debugging symbols found)...
+     * message (no debugging symbols found) or
+     * (Using host libthread_db library "/lib/tls/libthread_db.so.
        output[0] == '\0' ||
-       strcmp(output, "(no debugging symbols found)...") == 0;
+       strcmp (output, "(no debugging symbols found)...") == 0 ||
+        strncmp(output, msg_libthread, n) == 0;

 bool GdbDriver::parseCoreFile(const char* output)
Comment 1 Marcelo Roberto Jimenez 2004-01-28 15:43:17 EST
Created attachment 97309 [details]
patch to solve the warning message problem

Sorry for attaching the patch in the original message...
Comment 2 Ngo Than 2004-02-03 11:42:23 EST
it's fixed now in 1.2.9-3. thanks for your patch file.

Note You need to log in before you can comment on or make changes to this bug.